package com.inspur.mapper;

import java.util.List;
import com.inspur.domain.ElevatorPbxInfo;

/**
 * PBXMapper接口
 *
 * @author inspur
 * @date 2024-09-30
 */
public interface ElevatorPbxInfoMapper
{
    /**
     * 查询PBX
     *
     * @param id PBX主键
     * @return PBX
     */
    public ElevatorPbxInfo selectElevatorPbxInfoById(Long id);

    /**
     * 查询PBX列表
     *
     * @param elevatorPbxInfo PBX
     * @return PBX集合
     */
    public List<ElevatorPbxInfo> selectElevatorPbxInfoList(ElevatorPbxInfo elevatorPbxInfo);

    /**
     * 新增PBX
     *
     * @param elevatorPbxInfo PBX
     * @return 结果
     */
    public int insertElevatorPbxInfo(ElevatorPbxInfo elevatorPbxInfo);

    /**
     * 修改PBX
     *
     * @param elevatorPbxInfo PBX
     * @return 结果
     */
    public int updateElevatorPbxInfo(ElevatorPbxInfo elevatorPbxInfo);

    /**
     * 删除PBX
     *
     * @param id PBX主键
     * @return 结果
     */
    public int deleteElevatorPbxInfoById(Long id);

    /**
     * 批量删除PBX
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElevatorPbxInfoByIds(Long[] ids);
}
